import { BaseField } from '../../BaseField';
export declare class NestedField extends BaseField {
  static type: string;
  nestedField: BaseField;
  constructor(id: string, field: BaseField);
  getWrapperId(): string;
  getWrappedId(): string;
  getWrappedValue(dataWrapper: any): any;
  showPreview(): BaseField;
  getDisplayValue(value: any): any;
}
